<ion-content>
    <ion-grid>
        <ion-row></ion-row>
        <ion-row>
            <div id="logo">
                <img src='assets/logo.png'>
            </div>
        </ion-row>
        <ion-row>
            <div id="welcome">
                <h1>Recover an account</h1>
            </div>
        </ion-row>
        <ion-row *ngIf="!isSelected && !showForm">
            <div id="btn">
                <div class="btnSquare" tappable (click)="scanQRCode()" *ngIf="onChooser">
                    <ion-icon name="qr-scanner"></ion-icon>
                    <p>Scan Backup QR code</p>
                </div>
                <div class="btnSquare" tappable (click)="browseFile()" *ngIf="onChooser">
                    <ion-icon name="wallet"></ion-icon>
                    <p>Import Backup File</p>
                </div>
                <div *ngIf="!onChooser" style="display: inline-block;">
                    <label for="browseBackup">
                        <div class="btnSquare" tappable (click)="browseFile()">
                            <div>
                                <ion-icon name="wallet"></ion-icon>
                                <p>Import Backup File</p>
                            </div>
                        </div>
                    </label>
                    <input type="file" id="browseBackup" class="browse" (change)="onFile($event.target.files)">
                </div>
                <div class="btnBack">
                    <p (click)="goSignUp()" tappable>
                        <ion-icon name="arrow-back" mode="ios"></ion-icon>
                        <span>Back</span>
                    </p>
                </div>
            </div>
        </ion-row>
        <ion-row *ngIf="isSelected">
            <div id="backupInfo">
                <ion-card mode="ios">
                    <ion-card-content>
                        <ion-item>
                            <ion-grid>
                                <ion-row>
                                    <ion-label color="medium">Email</ion-label>
                                </ion-row>
                                <ion-row>
                                    <p>{{ backupInfo.name }}</p>
                                </ion-row>
                            </ion-grid>
                        </ion-item>
                        <ion-item>
                            <ion-grid>
                                <ion-row>
                                    <ion-label color="medium">Private Key</ion-label>
                                </ion-row>
                                <ion-row>
                                    <p>{{ backupInfo.privateKey }}</p>
                                </ion-row>
                            </ion-grid>
                        </ion-item>
                    </ion-card-content>
                </ion-card>
                <ion-button fill="clear" autofocus (click)="onNext()">Next</ion-button>
                <div class="btnBack">
                    <p (click)="isSelected = !isSelected" tappable>
                        <ion-icon name="arrow-back" mode="ios"></ion-icon>
                        <span>Back</span>
                    </p>
                </div>
            </div>
        </ion-row>
        <ion-row>
            <div id="form" *ngIf="showForm">
                <ion-card mode="ios">
                    <ion-card-content>
                        <input placeholder="New Password" type="password" (change)="checkPass()"
                            [(ngModel)]="inputDat.inputPass" />
                        <input placeholder="Confirm password" type="password" (change)="checkPass()"
                            [(ngModel)]="inputDat.verifPass">
                    </ion-card-content>
                </ion-card>
                <p> {{errorMess}} </p>
                <ion-button *ngIf="!isProcessing" fill="clear" (click)="onRecover()">OK</ion-button>
                <div *ngIf="isProcessing" class="loading">
                    <ion-spinner name="dots" color="light"></ion-spinner>
                </div>
            </div>
        </ion-row>
        <ion-row>
            <div id="signin">
                <p>Already have an account? <a tappable (click)="goSignIn()">Sign In</a></p>
            </div>
        </ion-row>
    </ion-grid>
</ion-content>